<?php

namespace Drupal\entitree_location_rules;

/**
 * Interface EntitreeLocationRulesServiceInterface.
 */
interface EntitreeLocationRulesServiceInterface {
  /**
   * Given a string convert it to a URL-friendly format.
   *
   * @param string $path
   *   Path to clean.
   *
   * @return string
   *   Cleaned path.
   */
  public function cleanPathString(string $path): string;

}
